MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025417Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-23 23:382014-11-12 09:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025417: Visualization, OpenGl_Context - fix preprocessor check to load GL functions on OS X
Description
#if defined(MAC_OS_X_VERSION_10_3) && !defined(MACOSX_USE_GLX)
  myGlLibHandle = dlopen ("/System/Library/Frameworks/OpenGL.framework/Versions/Current/OpenGL", 
RTLD_LAZY);

Macros MAC_OS_X_VERSION_10_3 is used for OS X detection.
However this macros is not defined by recent building tools (e.g. XCode 6.1 for Yosemite and probably earlier) leading to OpenGL extensions to be not loaded.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0033661)
git (administrator)
2014-10-23 23:53

Branch CR25417 has been created by kgv.

SHA-1: 9d934be31a88cedfbf94de1b235023ffa9643d0b


Detailed log of new commits:

Author: kgv
Date: Thu Oct 23 23:51:43 2014 +0400

    0025417: Visualization, OpenGl_Context - fix preprocessor check to load GL functions on OS X
(0033662)
kgv (developer)
2014-10-23 23:56

Please take the patch, testing is not needed.
(0034266)
git (administrator)
2014-11-12 09:02

Branch CR25417 has been deleted by kgv.

SHA-1: 9d934be31a88cedfbf94de1b235023ffa9643d0b

- Related Changesets
occt: master afbdee68
Timestamp: 2014-10-23 19:51:43
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025417: Visualization, OpenGl_Context - fix preprocessor check to load GL functions on OS X
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-23 23:38 kgv New Issue
2014-10-23 23:38 kgv Assigned To => kgv
2014-10-23 23:53 git Note Added: 0033661
2014-10-23 23:56 kgv Note Added: 0033662
2014-10-23 23:56 kgv Assigned To kgv => bugmaster
2014-10-23 23:56 kgv Status new => resolved
2014-10-23 23:56 kgv Status resolved => reviewed
2014-10-24 15:38 bugmaster Changeset attached => occt master afbdee68
2014-10-24 15:38 bugmaster Status reviewed => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:02 git Note Added: 0034266


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker